Description

Related issues:

Related to Conversion Tools - Support #6861: valid and invalid 4GL syntax (pa... New

History

#1 - 03/24/2023 09:12 AM - Marian Edu

- Status changed from New to Feedback

Is this a sub-task of conversion testing? What exactly should those tests cover, the lexer part of ANTLR grammar, the rules and AST manipulation

after the parsing is done?

#2 - 03/24/2023 09:15 AM - Marian Edu

Marian Edu wrote:

Is this a sub-task of conversion testing?

 

Ah, I see now there are separate projects for each topic so this just falls under 'conversion' topic.

#3 - 03/27/2023 03:32 AM - Greg Shah

- Related to Support #6861: valid and invalid 4GL syntax (parsing) added

#4 - 03/27/2023 03:33 AM - Greg Shah

- Status changed from Feedback to WIP

What exactly should those tests cover, the lexer part of ANTLR grammar

 

Yes, this is about testing the lexer part of the ANTLR grammar.  These tests would be focused on the tokenization of 4GL source code.  A big part of

these tests will be checking how we process each keyword (including mixed case, abbreviations and reserved/non-reserved).  It will also include

non-keyword tokenization (various literals, operators and punctuation and so forth).  We should cover cases that are expected to pass as well as
those which should fail.  The expected to fail cases probably need to be done as JUnit tests per your suggestion in #6861.

the rules and AST manipulation after the parsing is done?

 

Not this.
